#ifndef FORT_CMAPF_H
#define FORT_CMAPF_H
  #ifdef DO_FORTCALLS

  #define EQVLAT F77_FUNC(eqvlat,EQVLAT)
  REAL4v EQVLAT (maparam * stcprm,REAL4 lat1,REAL4 lat2) ;

  #define SETGEOID F77_FUNC(setgeoid,SETGEOID)
  INT4v SETGEOID(maparam * stcprm,REAL4 arad,REAL4 brad) ;

  #define GEOIDIX F77_FUNC(geoidix,GEOIDIX)
  INT4v GEOIDIX(maparam * stcprm,INT4v * index) ;

  #define STLMBR F77_FUNC(stlmbr,STLMBR)
  INT4v STLMBR(maparam * stcprm,REAL4 tnglat,REAL4 reflon) ;

  #define CLL2XY F77_FUNC(cll2xy,CLL2XY)
  INT4v CLL2XY(maparam * stcprm,REAL4 lat,REAL4 longit, REAL4 x,REAL4 y) ;

  #define CXY2LL F77_FUNC(cxy2ll,CXY2LL)
  INT4v CXY2LL(maparam * stcprm,REAL4 x, REAL4 y, REAL4 lat, REAL4 longit) ;


  #define STCM2P F77_FUNC(stcm2p,STCM2P)
  INT4v STCM2P(maparam * stcprm,
            REAL4 x1, REAL4 y1, REAL4 xlat1, REAL4 xlong1,
            REAL4 x2, REAL4 y2, REAL4 xlat2, REAL4 xlong2) ;

  #define STCM1P F77_FUNC(stcm1p,STCM1P)
  INT4v STCM1P(maparam * stcprm,
            REAL4 x1, REAL4 y1, REAL4 xlat1, REAL4 xlong1,
            REAL4 xlatg, REAL4 xlong,REAL4 gridsz, REAL4 orient) ;

  #define CGSZLL F77_FUNC(cgszll,CGSZLL)
  REAL4v CGSZLL(maparam * stcprm,REAL4 lat,REAL4 longit) ;

  #define CGSZXY F77_FUNC(cgszxy,CGSZXY)
  REAL4v CGSZXY(maparam * stcprm,REAL4 x,REAL4 y) ;

  #define CC2GLL F77_FUNC(cc2gll,CC2GLL)
  INT4v CC2GLL(maparam * stcprm,REAL4 lat,REAL4 longit,
              REAL4 ue,REAL4 vn, REAL4 ug,REAL4 vg) ;

  #define CC2GXY F77_FUNC(cc2gxy,CC2GXY)
  INT4v CC2GXY(maparam * stcprm,REAL4 x,REAL4 y,
            REAL4 ue,REAL4 vn, REAL4 ug,REAL4 vg) ;

  #define CG2CLL F77_FUNC(cg2cll,CG2CLL)
  INT4v CG2CLL(maparam * stcprm,REAL4 lat,REAL4 longit,
            REAL4 ug,REAL4 vg, REAL4 ue,REAL4 vn) ;

  #define CG2CXY F77_FUNC(cg2cxy,CG2CXY)
  INT4v CG2CXY(maparam * stcprm,REAL4 x,REAL4 y,
            REAL4 ug,REAL4 vg, REAL4 ue,REAL4 vn) ;

  #define CW2GLL F77_FUNC(cw2gll,CW2GLL)
  INT4v CW2GLL(maparam * stcprm,REAL4 lat,REAL4 longit,
            REAL4 ue,REAL4 vn, REAL4 ug,REAL4 vg) ;

  #define CW2GXY F77_FUNC(cw2gxy,CW2GXY)
  INT4v CW2GXY(maparam * stcprm,REAL4 x,REAL4 y,
            REAL4 ue,REAL4 vn, REAL4 ug,REAL4 vg) ;

  #define CG2WLL F77_FUNC(cg2wll,CG2WLL)
  INT4v CG2WLL(maparam * stcprm,REAL4 lat,REAL4 longit,
            REAL4 ug,REAL4 vg, REAL4 ue,REAL4 vn) ;

  #define CW2GXY F77_FUNC(cw2gxy,CW2GXY)
  INT4v CW2GXY(maparam * stcprm,REAL4 x,REAL4 y,
            REAL4 ue,REAL4 vn, REAL4 ug,REAL4 vg) ;

  #define CXY2LL F77_FUNC(cxy2ll,CXY2LL)
  INT4v CXY2LL(maparam * stcprm,REAL4 x, REAL4 y, REAL4 lat, REAL4 longit) ;

  #define CCRVXY  F77_FUNC(ccrvxy,CCRVXY)
  INT4v CCRVXY(maparam * stcprm,REAL4 x, REAL4 y, REAL4 gx, REAL4 gy) ;


  #define CPOLLL F77_FUNC(cpolll,CPOLLL)
  INT4v CPOLLL(maparam * stcprm,REAL4 lat, REAL4 longit,
                REAL4 enx,REAL4 eny, REAL4 enz) ;

  #define CPOLXY F77_FUNC(cpolxy,CPOLXY)
  INT4v CPOLXY(maparam * stcprm,REAL4 x, REAL4 y,
                REAL4 enx,REAL4 eny, REAL4 enz) ;


#endif /* DO_FORTCALLS */
#endif /* FORT_CMAPF_H */
