#include <stdlib.h>
#include <stdio.h>
#include "emapf.h"

main(){
maparam stcprm,stcprm2;
double cnflat,cnflat2;
double tlat;

int rc;

double reflat1=33.333333333,reflat2=38.666666667;
double tanglat;
  rc = useGeoid(&stcprm,"wgs84");
  if ( rc != 0) {
    fprintf(stderr,"useGeoid failed\n");
    return 1;
  }
  tanglat = C_eqvlat (& stcprm,reflat1,reflat2) ;
  printf("std parallels %f and %f; tanglat = %f\n",reflat1,reflat2,tanglat);
  printf("%f %f %f\n",floor(tanglat),floor(60*(tanglat-floor(tanglat))),
     60.*(60*(tanglat-floor(tanglat)))-floor(60*(tanglat-floor(tanglat))));               

  C_stlmbr(&stcprm,tanglat,-100.);
  

  if (C_stcm1p(&stcprm, 0., 0., tanglat,-100., reflat1,-100., 1., 0.)!=0) {
    fprintf(stderr,"stcm1p error\n");
  }
  printf("reflat1 %f\n",1./C_cgszll(&stcprm,reflat1,-100.));
  printf("reflat2 %f\n",1./C_cgszll(&stcprm,reflat2,-100.));
  printf("tanglat %f\n",1./C_cgszll(&stcprm,tanglat,-100.)-1.);
  for (tlat=0.;tlat<4.;tlat+=0.2) {
  printf("%f, scale=%f\n",tanglat+tlat,1./C_cgszll(&stcprm,tanglat+tlat,-100.)-1.);
  }
  for (tlat=0.;tlat<4.;tlat+=0.2) {
  printf("%f, scale=%f\n",tanglat-tlat,1./C_cgszll(&stcprm,tanglat-tlat,-100.)-1.);
  }
}
